petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMForestGetAdjacencyCodimension

Like DMForestGetAdjacencyDimension(), but specified as a co-dimension (so that, e.g., adjacency based on facets can be specified by codimension 1 in all cases)

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    PetscErrorCode DMForestGetAdjacencyCodimension(DM dm, PetscInt *adjCodim)

Not collective

### Input Parameter

dm -the forest

### Output Parameter

adjCodim -default isthe dimension of the forest (see DMGetDimension()), since this is the codimension of vertices

### See Also

DMForestSetAdjacencyCodimension(), DMForestGetAdjacencyDimension()

Level:intermediate
Location:src/dm/impls/forest/forest.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages